It's all about the answers!

Ask a question

How can we get version infos of the Eclipse clients accessing the RTC server ?


long TRUONG (3654116146) | asked Mar 06 '15, 6:18 p.m.
 Currently on RTC 4.0.6 on Windows server with a significant enough number of users still with Eclipse client 3.x (due to a feature not working same on 4.x client).

We are on the road towards an upgrade to 5.0.2 and we'd like to upgrade those users with 3.x clients to 4.0.6 clients. Hence we are looking for some facility, command, script, or query to achieve what a Clearcase "cleartool lsclient" would, to give us the list of which user (accessing the RTC) on which version of the Eclipse client.

Pls bear in mind that we cannot pick anything from the Data Warehouse, as we have turned off all the ETL jobs (due to performance and issues not fixed till 5.x and unavailability of the DCC), though the license job started to run over a month ago (we had the lone license data collection job on, but it kept failing till we kicked off the common job manually).

One answer



permanent link
Abraham Sweiss (2.4k1331) | answered Mar 09 '15, 3:02 p.m.
Hi Long,

The following link will provide information on how many clients are at 3.0.1 that are accessing the server, but there is no method to determine which users have these clients.
https://jazz.net/forum/questions/138532/is-there-any-way-to-know-what-client-versions-are-connecting-to-rtc?page=1&focusedAnswerId=139622#139622

I beleive in 4.0.6 on the advanced properties page there is a property that can be enabled to restrict the version of the client that can access the server.  Setting this property to allow only 4.0.6 clients wil force all users to upgrade to 4.0.6.  I suspect once set it will also cause your inbox to get flooded with emails.

NOTES:
Most often the build server has a backlevel client, so before upgrading I would suggest making suer that this client is at the needed level.
WHen upgrading to 5.0.2, the 3.0.1 clients will not be able to access the server,  Users will get an error stating server mis match , or something like that.


Your answer


Register or to post your answer.